import { defHttp } from '@/utils/http/axios';
import {
  TableListParams,
  TableListModel,
  TableFormsParams,
  TableFormsModel,
} from './model/flowPenalModel';

enum Api {
  GetTableList = '/api/FormModule/GetTableList',
  GetTableForms = '/api/CodeTable/GetForms',
  Update = '/api/SysDataItemDetail/Update',
  Delete = '/api/SysDataItemDetail/Delete',
}
/**
 * @description: getTableList 获取表
 */
export function getTableList(params: TableListParams) {
  return defHttp.get<TableListModel>({ url: Api.GetTableList, params });
}
/**
 * @description: getTableForms 获取表的对象集合
 */
export function getTableForms(params: TableFormsParams) {
  return defHttp.get<TableFormsModel>({ url: Api.GetTableForms, params });
}
